step "the product :product_name has description :product_description" do |product_name, product_description|
  #product = @product && @product.name == product_name ? @product : Product.find_by_name(product_name)
  product = Product.find_by_name(product_name)
  product.description = product_description
  product.save or raise "Cannot save product: #{product.errors.full_messages.to_sentence}"
  @product ||= product
end

step 'there is a product' do
  @product = create :product, price: 2.22, supplier: @supplier
end
